<? $this->sitePath()->append($this->t('edit_profile'), $this->getLink('edit-profile')); ?>

<?
	//$this->headLink()->appendStylesheet(_st('city-picker.css'));
	//$this->headScript()->appendFile(_st('city-picker.js?' . microtime(true)))
?>

<style type="text/css">
	.required { color: #f00 }
	.lngpicker-lst div { padding: 4px 0 }
	.lngpicker-lst div span { margin-left: 10px; cursor: pointer }
	
	#cities-chosen .cp-region-title a span { padding-left: 18px; background-image: url('<?= _st('icon_delete.png') ?>'); background-repeat: no-repeat; background-position: 0px 50% }
	#cities-chosen .cp-base-city { background: #ccc }
	#cities-chosen .cp-base-city a, #cities-chosen .cp-base-city a:hover { background: transparent !important }
	.base_city { font-weight: bold }
	.cp-error { color: red; margin: 10px 0 }
	.tip { margin: 5px 0 }
</style>

<script type="text/javascript">
window.addEvent('domready', function () {
	var LngPicker = {};
	
	LngPicker.List = new Class({
		Implements: Events,
		lngs: null,
		el: null,
		
		initialize: function (el, initial) {
			this.lngs = new Hash();
			this.el = $(el);
			
			initial = initial || [];
			
			initial.each(function (lng) {
				this.addLang(lng);
			}.bind(this));
		},
		
		addLang: function (data) {
			var lng_obj = new LngPicker.Lang($merge(data, { list: this }));
			lng_obj.addEvent('select', function () {
				this.fireEvent('select', [lng_obj]);
			}.bind(this));
			
			this.lngs.include(data.lng, lng_obj);
		},
		
		getLang: function (data) {
			return this.lngs.get(data.lng);
		},
		
		getEl: function () {
			return this.el;
		}
	});
	
	LngPicker.Lang = new Class({
		Implements: Events,
		list: null,
		lng: null,
		lvl: null,
		
		el: null,
		
		initialize: function (opts) {
			this.list = opts.list;
			this.lng = opts.lng;
			this.lvl = opts.lvl;
			
			this.el = this.render(opts.label);
		},
		
		render: function (label) {
			
			var div = new Element('div');
			div.props = {
				del_btn: new Element('input', { type: 'button', value: 'Delete' }).addEvent('click', function () { this.remove(); }.bind(this)).inject(div),
				span: new Element('span', { html: label }).addEvent('click', function () { this.fireEvent('select', [this]) }.bind(this)).inject(div),
				hidden: new Element('input', { type: 'hidden', name: 'langs[]', value: this.lng + ':' + this.lvl }).inject(div)
			};
			
			return div.inject(this.list.getEl());
		},
		
		set: function (data) {
			this.el.props.span.set('html', data.label);
			this.el.props.hidden.set('value', data.lng + ':' + data.lvl)
		},
		
		getValue: function () {
			return this.lng + ':' + this.lvl;
		},
		
		remove: function () {
			this.list.lngs.erase(this.lng);
			this.el.destroy();
			delete(this);
		}
	});
	
	var initLangs = function () {
		var els = { lng: $$('.lngpicker-lng')[0], lvl: $$('.lngpicker-lvl')[0], btn: $$('.lngpicker-btn'), lst: $$('.lngpicker-lst')[0] };
		
		var initial_data = els.lst.get('text');
		
		if ( initial_data.length ) {
			
			initial_data = JSON.decode(initial_data);
			els.lst.set('html', '');
		}
		
		var lngList = new LngPicker.List(els.lst, initial_data).addEvent('select', function (lang) {
			els.lng.set('value', lang.lng);
			els.lvl.set('value', lang.lvl);
		});
		
		els.btn.addEvent('click', function (e) {
			e.stop();
			
			var sel = { lng: els.lng.getSelected()[0], lvl: els.lvl.getSelected()[0] };
			sel = $merge(sel, { lng_title: sel.lng.get('text'), lvl_title: sel.lvl.get('text') });
			sel = $merge(sel, { lng_id: sel.lng.get('value'), lvl_id: sel.lvl.get('value') });
			
			if ( sel.lng_id && sel.lvl_id ) {
				var data = { lng: sel.lng_id, lvl: sel.lvl_id, label: sel.lng_title + ' - ' + sel.lvl_title };
				var lang = lngList.getLang(data);
				
				if ( ! lang ) {
					lngList.addLang(data);
				}
				else {
					lang.set(data);
					lang.el.get('tween', { duration: 'short', property: 'background-color' }).start('#ff8', '#fff');
				}
			}
		});
	}
	
	var addVacation = function() {
		$$('input[name=add-vacation]')[0].addEvent('click', function() {
			var from_day = $$('select[name=vac_date_from_day]')[0].getSelected()[0].get('value');
			var from_month = $$('select[name=vac_date_from_month]')[0].getSelected()[0].get('value');
			var from_year = $$('select[name=vac_date_from_year]')[0].getSelected()[0].get('value');
			
			var to_day = $$('select[name=vac_date_to_day]')[0].getSelected()[0].get('value');
			var to_month = $$('select[name=vac_date_to_month]')[0].getSelected()[0].get('value');
			var to_year = $$('select[name=vac_date_to_year]')[0].getSelected()[0].get('value');
			
			var date_from = from_year + '-' + from_month + '-' + from_day;
			var date_to = to_year + '-' + to_month + '-' + to_day;
			
			<?php
				if ( $this->request()->id )
					$escort_id = "&escort_id=" . $this->request()->id;
				else 
					$escort_id = '';
			?>
			
			new Request({
				url: '/<?= $this->lang() ?>/private/ajax-add-vacation?date_from=' + date_from + '&date_to=' + date_to + '<?= $escort_id ?>', 
				method: 'get',
				onSuccess: function (resp) {
					data = JSON.decode(resp);
					
					if ( data )
					{
						for (var field in data.msgs) {
							$('vac_error').tween('opacity', 0, 1);
							$('vac_error').set('text', data.msgs[field]);
						}
					}
					else
					{
						var myFx = new Fx.Tween($('vac_error'), {
							duration: 400,
							onComplete: function() {
								$('vac_error').set('text', '');	
							}
						});
						myFx.start('opacity', 0, 1);
						
						
						df = new Date().parse(date_from).format('%d %b %Y');
						dt = new Date().parse(date_to).format('%d %b %Y');
						
						$('curr_date_from').set('text', df);
						$('curr_date_to').set('text', dt);
						
						$('curr_vacation').setStyle('display', 'block');
						
						$('curr_vacation').tween('opacity', 0, 1);
					}
					
				}
			}).send();
		});
	};
	
	var removeVacation = function() {		
		$$('input[name=return-from-vacation]')[0].addEvent('click', function() {
			<?php
				if ( $this->request()->id )
					$escort_id = "?escort_id=" . $this->request()->id;
				else 
					$escort_id = '';
			?>
			
			new Request({
				url: '/<?= $this->lang() ?>/private/ajax-return-from-vacation' + '<?= $escort_id ?>', 
				method: 'get',
				onSuccess: function (resp) {
					var myFx = new Fx.Tween($('curr_vacation'), {
						duration: 400,
						onComplete: function() {
							$('curr_vacation').setStyle('display', 'none');
						}
					});
					
					myFx.start('opacity', 1, 0);
				}
			}).send();
		});
	};
	
	initLangs();
	addVacation();
	removeVacation();
	
	/*var initCityPicker = function () {
		var ctPicker = new CityPicker($('city-picker'), {
			data_url: '/<?= $this->lang() ?>/geography/ajax-get-cities-grouped?country_id=<?= /*Cubix_Application::getById()->country_id*/'199' ?>&json'
		});
		
		var cities = $('cities-chosen').getElement('.cp-list-i');
		
		var status = {
			count: 0,
			limit: 4,
			
			increment: function () {
				if ( status.count == status.limit ) {
					alert('You have reached the limit of working cities');
					return false;
				}
				
				status.count++;
				status.update();
				
				return true;
			},
			
			decrement: function () {
				if ( status.count == 0 ) return;
				status.count--;
				status.update();
			},
			
			update: function () {
				$('city-picker-count').set('html', (status.limit - status.count) + ' cities left to choose')
			}
		};
		
		status.update();
		
		var count = '';
		
		var selectCity = function (city) {
			var it;
			
			if ( ! status.increment() ) return;
			
			new Element('span').inject(
				new Element('a', {
					href: '#',
					onclick: 'return false',
					html: city.get('title') + ' (' + city.get('region').options.title + ')'
				}).inject(
					new Element('span', {
						'class': 'cp-region-title'
					}).inject(
						it = new Element('div', {
							'class': 'cp-region-item cp-region-item-closed'
						})
					)
				).addEvent('click', function (e) {
					e.stop();
					$('city_id').set('value', it.city.get('id'));
					$$('.cp-base-city').removeClass('cp-base-city');
					it.addClass('cp-base-city');
				})
			, 'top').addEvent('click', function (e) {
				e.stop();
				
				if ( $('city_id').get('value') == it.city.get('id') ) {
					$('city_id').set('value', '');
				}
				
				it.city.enable();
				status.decrement();
				
				it.destroy();
			});
			
			it.city = city;
			
			new Element('input', {
				type: 'hidden',
				name: 'cities[]',
				value: city.get('id')
			}).inject(it);
			
			it.inject(cities);
			
			city.disable();
			
			return it;
		}
		
		ctPicker.addEvent('city-select', selectCity).addEvent('load', function () {
			var cts = JSON.decode(cities.get('html'));
			cities.set('html', '');
			
			cts.each(function (c) {
				var city = ctPicker.getCity(c.id);
				
				if ( city ) {
					var it = selectCity(city);
					
					if ( $('city_id').get('value') == c.id ) {
						it.addClass('cp-base-city');
					}
				}
			});
		});
	};
	
	initCityPicker();*/

	var initMeasureUnits = function()
	{
		$$('input[name=measure_units]').addEvent('change', function(){
			if (this.get('value') == 1)
			{
				$$('input[name=height_feet]').set('name', 'height');
				$$('input[name=height]').getNext('span').set('html', 'cm');
				$$('input[name=height_inches]').setStyle('display', 'none');
				$$('input[name=height_inches]').getNext('span').setStyle('display', 'none');

				$$('input[name=weight]').getNext('span').set('html', 'kg');
			}
			else
			{
				$$('input[name=height]').set('name', 'height_feet');
				$$('input[name=height_feet]').getNext('span').set('html', 'feet');
				$$('input[name=height_inches]').setStyle('display', 'block');
				$$('input[name=height_inches]').getNext('span').setStyle('display', 'block');

				$$('input[name=weight]').getNext('span').set('html', 'lbs');
			}
		});
	};

	initMeasureUnits();
});
</script>

<? $this->headTitle($this->t('edit_profile'), 'PREPEND') ?>
<? $defines = Zend_Registry::get('defines'); ?>

<h1><img src="<?= _st($this->lang() . '_h1_editprofile.gif') ?>" alt="<?= $this->t('edit_profile') ?>" /></h1>
<div class="cbox"><div class="cbox-i"><div class="cbox-ii">
	<? if ( ! $this->user->getSalesPerson() ): ?>
	<?= $this->render('private/sales-chooser.phtml') ?>
	<? endif; ?>
	
	<form class="signup-form" action="" method="post">
		<? if ( true == $this->saved ): ?>
		<div class="signup-bodky" style="width: 945px">
			<span class="strong"><?= $this->t('escort_profile_updated') ?></span>
		</div>
		<? endif; ?>
		
		<? if ( count($this->errors) ): ?>
		<div class="signup-bodky" style="width: 945px">
		<ul>
		<? foreach ( $this->errors as $field => $msg ): ?>
			<li style="color:red"><!--<?= $field ?>: --><?= $msg ?></li>
		<? endforeach; ?>
		</ul>
		</div>
		<? endif; ?>
		
		<div class="signup-bodky" style="width: 945px">
			<div style="float:left">
				<fieldset><legend><?= $this->t('biography') ?></legend>
				
				<? /* $sales = $this->user->getSalesPerson(); if ( $this->user->isEscort() && ! $sales ): ?>
				<div class="divline" style="width: 380px">
					<span class="label">Sales person <span class="required">*</span></span>
					<select class="selectbox" name="sales_user_id">
						<option value="">Any sales person&nbsp;&nbsp;</option>
						<option value="" disabled="disabled">-----------------</option>
						<? foreach ( $this->sales_persons as $sales ): ?>
						<option value="<?= $sales['id'] ?>"><?= $sales['username'] ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				<? elseif ( $this->user->isEscort() && $sales ): ?>
				<div class="divline" style="width: 380px">
					<span class="label">Sales person <span class="required">*</span></span>
					<big><strong><?= $sales['username'] ?></strong></big>
				</div>
				<? endif; */ ?>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('showname') ?> <span class="required">*</span></span>
					<input class="textinput" type="text" name="showname" id="showname" value="<?= $this->profile->showname ?>" maxlength="30" />
					<? if ( isset($this->errors['password']) ): ?><div class="error"><?= $this->errors['password'] ?></div><? endif ?>
				</div>
				
				<? /* <div class="divline" style="width: 380px">
					<span class="label">City <span class="required">*</span></span>
					<select id="city_id" name="city_id" class="selectbox">
						<option value="">-</option>
						<? $c = new Cubix_Geography_Cities(); foreach ( $c->ajaxGetAll(null, Cubix_Application::getById()->country_id) as $city ): ?>
						<option value="<?= $city->id ?>"<?= $city->id == $this->profile->base_city_id ? ' selected="selected"' : '' ?>><?= $city->title ?></option>
					<? endforeach; ?>
					</select>
				</div> */ ?>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('ethnicity') ?></span>
					<select name="ethnicity" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? foreach ( $defines['ethnic_options'] as $index => $title ): ?>
						<option value="<?= $index ?>"<?= $this->profile->ethnicity == $index ? ' selected="selected"' : '' ?>><?= $title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('nationality') ?></span>
					<select name="nationality_id" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? $model = new Model_Escorts(); foreach ( $model->getNationalityOptions() as $n ): ?>
						<option value="<?= $n->id ?>"<?= $this->profile->nationality_id == $n->id ? ' selected="selected"' : '' ?>><?= $n->title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('edit_units_in') ?> <span class="required">*</span></span>
					<label class="radio">
						<input type="radio" name="measure_units" value="1"<?= $this->profile->measure_units == 1 ? ' checked="checked"' : '' ?> />
						<span><?= $this->t('metric') ?></span>
					</label>
					<label class="radio">
						<input type="radio" name="measure_units" value="2"<?= $this->profile->measure_units == 2 ? ' checked="checked"' : '' ?> />
						<span><?= $this->t('royal') ?></span>
					</label>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('gender') ?> <span class="required">*</span></span>
					<select name="gender" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? foreach ( $defines['gender_options'] as $index => $title ): ?>
						<option value="<?= $index ?>"<?= $index == $this->profile->gender ? ' selected="selected"' : '' ?>><?= $title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				
				<? $d = $m = $y = 0; if ( $this->profile->birth_date ) { $d = date('d', $this->profile->birth_date); $m = date('m', $this->profile->birth_date); $y = date('Y', $this->profile->birth_date); } ?>

				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('age') ?></span>
					<select name="birth_date" id="birth_date" class="w4 selectbox">
						<option>---</option>
						<? for ( $i = 18; $i < 65; $i++ ): ?>
							<option value="<?= strtotime('- ' . $i . ' years') ?>" <?= ((! is_null($this->profile->birth_date)) && date("Y", $this->profile->birth_date) == date("Y", strtotime('- ' . $i . ' years'))) ? 'selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>
								
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('height') ?></span>
					<input class="textinput w3" type="text" name="height" value="<?= $this->profile->height ?>" maxlength="3" /><span class="date-sep">cm</span>
					<input class="textinput w3" type="text" name="height_inches" style="display: none" value="<?= $this->profile->height ?>" maxlength="3" /><span class="date-sep" style="display: none">inches</span>
					<? if ( isset($this->errors['password']) ): ?><div class="error"><?= $this->errors['password'] ?></div><? endif ?>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('weight') ?></span>
					<input class="textinput w3" type="text" name="weight" value="<?= $this->profile->weight ?>" maxlength="3" /><span class="date-sep">kg</span>
					<? if ( isset($this->errors['password']) ): ?><div class="error"><?= $this->errors['password'] ?></div><? endif ?>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('bust') ?>-<?= $this->t('waist') ?>-<?= $this->t('hip') ?></span>
					<select name="bust" class="selectbox">
						<option value="">-</option>
						<? for ( $i = 16; $i <= 55; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->profile->bust == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
					<span class="date-sep">-</span>
					<select name="waist" class="selectbox">
						<option value="">-</option>
						<? for ( $i = 16; $i <= 55; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->profile->waist == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
					<span class="date-sep">-</span>
					<select name="hip" class="selectbox">
						<option value="">-</option>
						<? for ( $i = 16; $i <= 55; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->profile->hip == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
					<? if ( isset($this->errors['password']) ): ?><div class="error"><?= $this->errors['password'] ?></div><? endif ?>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('hair_color') ?></span>
					<select name="hair_color" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? foreach ( $defines['hair_color_options'] as $index => $title ): ?>
						<option value="<?= $index ?>"<?= $this->profile->hair_color == $index ? ' selected="selected"' : '' ?>><?= $title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
					<? if ( isset($this->errors['password']) ): ?><div class="error"><?= $this->errors['password'] ?></div><? endif ?>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('eye_color') ?></span>
					<select name="eye_color" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? foreach ( $defines['eye_color_options'] as $index => $title ): ?>
						<option value="<?= $index ?>"<?= $this->profile->eye_color == $index ? ' selected="selected"' : '' ?>><?= $title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('shoe_size') ?></span>
					<input class="textinput w3" type="text" name="shoe_size" value="<?= $this->profile->shoe_size ?>" maxlength="3" />
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('breast_size') ?></span>
					<select name="breast_size" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? foreach ( $defines['breast_size_options'] as $index => $title ): ?>
						<option value="<?= $title ?>"<?= $this->profile->breast_size == $title ? ' selected="selected"' : '' ?>><?= $title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('dress_size') ?></span>
					<input class="textinput w3" type="text" name="dress_size" value="<?= $this->profile->dress_size ?>" maxlength="3" />
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><label for="smoker"><?= $this->t('smoker') ?></label></span>
					<span class="date-sep"><input id="smoker" type="checkbox" name="is_smoker" value="1"<?= $this->profile->is_smoker ? ' checked="checked"' : '' ?> /></span>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('available_for') ?> <span class="required">*</span></span>
					<select name="availability" class="selectbox">
						<option value="">- - -&nbsp;&nbsp;</option>
						<? foreach ( $defines['available_for'] as $index => $title ): ?>
						<option value="<?= $index ?>"<?= $this->profile->availability == $index ? ' selected="selected"' : '' ?>><?= $title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('zip') ?></span>
					<input class="textinput w6" type="text" name="contact_zip" value="<?= $this->profile->contact_zip ?>" maxlength="6" />
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('characteristics') ?></span>
					<input class="textinput" type="text" name="characteristics" value="<?= $this->profile->characteristics ?>" />
				</div>
				
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('service_for') ?> <span class="required">*</span></span>
					<? $opts = $defines['sex_availability_options'];  ?>
					<div style="float: left">
						<? foreach ( array_slice($opts, 0, floor(count($opts) / 2)) as $index => $title ): ?>
						<label class="radio">
							<input type="checkbox" name="sex_availability[]" value="<?= $index ?>"<?= in_array($index, explode(',', $this->profile->sex_availability)) ? ' checked="checked"' : '' ?> />
							<span><?= $title ?></span>
						</label>
						<div class="clear"></div>
						<? endforeach; ?>
					</div>
					<div style="float: left">
						<? foreach ( array_slice($opts, floor(count($opts) / 2), count($opts)) as $index => $title ): ?>
						<label class="radio">
							<input type="checkbox" name="sex_availability[]" value="<?= $index ?>"<?= in_array($index, explode(',', $this->profile->sex_availability)) ? ' checked="checked"' : '' ?> />
							<span><?= $title ?></span>
						</label>
						<div class="clear"></div>
						<? endforeach; ?>
					</div>
					<div class="clear"></div>
				</div>
				
				<? foreach ( Cubix_Application::getLangs() as $lang ): ?>
				<div class="divline" style="width: 380px">
					<span class="label"><?= $this->t('about_me') ?> (<?= $lang->title ?>)</span>
					<textarea class="textinput" name="about[<?= $lang->id ?>]" cols="80" rows="8"><?= $this->profile->about[$lang->id] ?></textarea>
				</div>
				<? endforeach; ?>
				
				</fieldset>
				
				<fieldset style=" margin-top: 20px">
					<legend><?= $this->t('languages') ?> <span class="required">*</span></legend>
					
					<div class="divline" style="width: 140px; padding-left: 20px; float: left">
						<span class="label"><?= $this->t('language') ?></span>
						<select class="selectbox lngpicker-lng">
							<option value="">- - -</option>
							<? foreach ( $defines['language_options'] as $lang_id => $title ): ?>
							<option value="<?= $lang_id ?>"><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 120px; padding: 0; float: left">
						<span class="label"><?= $this->t('level') ?></span>
						<select class="selectbox lngpicker-lvl">
							<option value="">- - -</option>
							<? foreach ( $defines['language_level_options'] as $lang_id => $title ): ?>
							<option value="<?= $lang_id ?>"><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 100px; padding: 0; float: left; margin-left:20px;">
						<span class="label">&nbsp;</span>
						<input class="btn btn-submit lngpicker-btn" type="button" value="Submit" style="display: block; margin-top: 3px" />
					</div>
					
					<div class="clear"></div>
					
					<div class="divline lngpicker-lst" style="width: 240px; padding-left: 20px"><?= isset($this->profile->langs) && count($this->profile->langs) ? json_encode($this->profile->langs) : '' ?></div>
				</fieldset>
			</div>
			
			<div style="float: left">
				<fieldset style=" margin-left: 20px; width: 455px; margin-bottom: 20px">
					<legend><?= $this->t('working_locations') ?></legend>
					
					<div class="tip"><?= $this->t('dbl_click_to_set_base_city') ?></div>
					<script type="text/javascript">
						window.addEvent('domready', function() {
							$('wl_country').addEvent('change', function(){
								$('sel_cities').set('html', '');
								$$('.hidden_wls').destroy();
								
								new Request({
									url: '/<?= $this->lang() ?>/geography/ajax-get-cities-grouped?country_id=' + this.getSelected().get('value'),
									method: 'get',
									onSuccess: function(data){
										$('region_cities').set('html', '');
										$('region_cities').set('html', data);
									}
								}).send();
							});

							var initCityPicker = function (){
								$('add_city').addEvent('click', function(){
									var selected = $('region_cities').getSelected();

									var in_list = false;
									
									if ( selected.length == 0 )
									{
										//alert('Please select city.');
										in_list = true;
									}
									
									$('sel_cities').getElements('option').each(function(it) {
										if ( it.get('value') == selected.get('value') )
										{
											in_list = true;
										}
									});
									
									if ( ! in_list )
									{
										var classik = '';
										if ( $('sel_cities').getElements('option').length == 0 ) {
											var classik = 'base_city';
											$('city_id').set('value', selected.get('value'));
										}
											
										new Element('input', {
											type: 'hidden',
											name: 'cities[]',
											value: selected.get('value'),
											'class': 'hidden_wls'
										}).inject($('sel_cities_hidd'));

										new Element('option', {
											'class': classik,
											value: selected.get('value'),
											html: selected.get('html')
										}).inject($('sel_cities'));
									}									
								});

								$('remove_city').addEvent('click', function(){
									var selected = $('sel_cities').getSelected();

									$$('.hidden_wls').each(function(it){
										if ( it.value == selected.get('value') ) {
											it.destroy();
										}
									});

									if ( selected.length != 0 ) {
										selected.destroy();
									}
								});

								$('sel_cities').addEvent('dblclick', function(){
									$('sel_cities').getElements('option').each(function(it){
										it.set('class', '');
									});
									this.getSelected().set('class', 'base_city');

									$('city_id').set('value', this.getSelected().get('value'));
								});
							};

							initCityPicker();
						});
					</script>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('country') ?></span>
						<select name="wl_country" id="wl_country" class="selectbox">
							<?php foreach ($this->countries as $country): ?>
							<option value="<?= $country->id ?>" <?= ($this->profile->country_id == $country->id) ? 'selected="selected"' : '' ?>><?= $country->title ?></option>
							<?php endforeach; ?>
						</select>
					</div>

					<div class="clear"></div>

					<table>
						<tr>
							<td>
								<select name="region_cities" id="region_cities" class="selectbox" size="10" multiple style="width: 200px">
									<?php foreach ( $this->region_cities as $title => $cities ): ?>
										<optgroup label="<?= $title ?>">
										<?php foreach ( $cities as $city ): ?>
											<option value="<?= $city->id ?>"><?= $city->title ?></option>
										<?php endforeach; ?>
										</optgroup>
									<?php endforeach; ?>
								</select>
							</td>
							<td>
								<div style="margin-bottom:10px"><input type="button" name="add_city" id="add_city" value=">>" /></div>
								<div><input type="button" name="remove_city" id="remove_city" value="<<" /></div>
							</td>
							<td>
								<select name="sel_cities" id="sel_cities" class="selectbox" size="10" multiple style="width: 195px">
									<?php if ( $this->profile->cities ): ?>
										<?php foreach( $this->cities as $ct ): ?>
											<?php if ( in_array(array('id' => $ct['id']), $this->profile->cities) ): ?>
											<option <?= ($ct['id'] == $this->profile->base_city_id) ? 'class="base_city"' : '' ?> value="<?= $ct['id'] ?>"><?= $ct['title'] ?></option>
											<?php endif; ?>
										<?php endforeach; ?>
									<?php endif; ?>
								</select>
							</td>
						</tr>
					</table>
					<input type="hidden" id="city_id" name="city_id" value="<?= $this->profile->base_city_id ?>" />
					<div id="sel_cities_hidd">
						<?php if ( $this->profile->cities ): ?>
							<?php foreach($this->profile->cities as $cit): ?>
								<input type="hidden" name="cities[]" value="<?= $cit['id'] ?>" class="hidden_wls" />
							<?php endforeach; ?>
						<?php endif; ?>
					</div>
					
					<div class="clear"></div>
				</fieldset>
			</div>
			
			<div style="float:left">
				<fieldset style=" margin-left: 20px; width: 455px; margin-bottom: 20px">
					<legend><?= $this->t('services') ?></legend>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('kissing') ?></span>
						<select name="svc_kissing" class="selectbox">
							<option value="">- - -&nbsp;&nbsp;</option>
							<? foreach ( $defines['kissing_options'] as $index => $title ): ?>
							<option value="<?= $index ?>"<?= $this->profile->svc_kissing == $index ? ' selected="selected"' : '' ?>><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('blowjob') ?></span>
						<select name="svc_blowjob" class="selectbox">
							<option value="">- - -&nbsp;&nbsp;</option>
							<? foreach ( $defines['blowjob_options'] as $index => $title ): ?>
							<option value="<?= $index ?>"<?= $this->profile->svc_blowjob == $index ? ' selected="selected"' : '' ?>><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('cumshot') ?></span>
						<select name="svc_cumshot" class="selectbox">
							<option value="">- - -&nbsp;&nbsp;</option>
							<? foreach ( $defines['cumshot_options'] as $index => $title ): ?>
							<option value="<?= $index ?>"<?= $this->profile->svc_cumshot == $index ? ' selected="selected"' : '' ?>><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label">69</span>
						<select name="svc_69" class="selectbox">
							<option value="">- - -&nbsp;&nbsp;</option>
							<? foreach ( $defines['y_n_na_options'] as $index => $title ): ?>
							<option value="<?= $index ?>"<?= $this->profile->svc_69 == $index ? ' selected="selected"' : '' ?>><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('anal') ?></span>
						<select name="svc_anal" class="selectbox">
							<option value="">- - -&nbsp;&nbsp;</option>
							<? foreach ( $defines['y_n_na_options'] as $index => $title ): ?>
							<option value="<?= $index ?>"<?= $this->profile->svc_anal == $index ? ' selected="selected"' : '' ?>><?= $title ?></option>
							<? endforeach; ?>
						</select>
					</div>
					
					<? foreach ( Cubix_Application::getLangs() as $lang ): ?>
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('additional') ?> (<?= $lang->title ?>)</span>
						<textarea class="textinput" name="svc_additional[<?= $lang->id ?>]" cols="80" rows="3"><?= $this->profile->svc_additional[$lang->id] ?></textarea>
					</div>
					<? endforeach; ?>
				</fieldset>
				
				<fieldset style="margin-left: 20px; width: 455px; margin-bottom: 20px">
					<legend><?= $this->t('working_time') ?></legend>
					
					<? $sdate = date('l', strtotime(date('Y') . 'W' . date('W') . '0')); ?>
					
					<? for ($j = 0; $j < 7; $j++): ?>
					<div class="divline" style="width: 320px; padding-left: 0">
						<?
							$wt = isset($this->profile->working_times[$j + 1]) ? $this->profile->working_times[$j + 1] : null;
						?>
						<span class="label">
							<label class="radio">
								<input type="checkbox" name="work_days[<?= $j + 1 ?>]" value="1"<?= $wt ? ' checked="checked"' : '' ?> />
								<span><?= date('l', mktime(null, null, null, null, $sdate + $j)) ?></span>
							</label>
						</span>
						
						<select name="work_times_from[<?= $j + 1 ?>]" class="selectbox">
							<option value="">-</option>
							<? for ($i = 1; $i <= 24; $i ++): ?>
							<option value="<?= $i ?>"<?= $wt['from'] == $i ? ' selected="selected"' : '' ?>><?= ( strlen($i) == 1 ? '0' : '' ) . $i ?>:00&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
						
						<span class="date-sep">-</span>
						
						<select name="work_times_to[<?= $j + 1 ?>]" class="selectbox">
							<option value="">-</option>
							<? for ($i = 1; $i <= 24; $i ++): ?>
							<option value="<?= $i ?>"<?= $wt['to'] == $i ? ' selected="selected"' : '' ?>><?= ( strlen($i) == 1 ? '0' : '' ) . $i ?>:00&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
					</div>
					<? endfor; ?>
				</fieldset>
				
				<fieldset style="margin-left: 20px; width: 455px; margin-bottom: 20px">
					<legend><?= $this->t('contact_info') ?></legend>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('phone') ?></span>
						<input class="textinput" type="text" name="contact_phone" value="<?= $this->profile->contact_phone ?>" />
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('phone_instructions') ?></span>
						<input class="textinput" type="text" name="phone_instructions" value="<?= $this->profile->phone_instructions ?>" />
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('email') ?></span>
						<input class="textinput" type="text" name="contact_email" value="<?= $this->profile->contact_email ?>" />
					</div>
					
					<div class="divline" style="width: 455px; padding: 0; float: left">
						<span class="label"><?= $this->t('web') ?></span>
						<input class="textinput" type="text" name="contact_web" value="<?= $this->profile->contact_web ?>" />
					</div>
				</fieldset>
				
				<fieldset style="margin-left: 20px; width: 455px; margin-bottom: 20px">
					<legend><?= $this->t('vacations') ?></legend>
					
					<div class="divline" style="width: 380px">
						<p id="vac_error" style="color:red; margin:0"></p>
					</div>
					
					<? $d = $m = $y = 0; $d = date('d', time()); $m = date('m', time()); $y = date('Y', time()); ?>
				
					<div class="divline" style="width: 380px">
						<span class="label"><?= $this->t('date_from') ?></span>
						<select name="vac_date_from_day" class="selectbox">
							<? for ( $i = 1; $i <= 31; $i++ ): ?>
							<option value="<?= $i ?>"<?= $d == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_from_month" class="selectbox">
							<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i); $month = date('M', $timestamp); ?>
							<option value="<?= $i ?>"<?= $m == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_from_year" class="selectbox">
							<? for ( $i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++ ): ?>
							<option value="<?= $i ?>"<?= $y == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 380px">
						<span class="label"><?= $this->t('date_to') ?></span>
						<select name="vac_date_to_day" class="selectbox">
							<? for ( $i = 1; $i <= 31; $i++ ): ?>
							<option value="<?= $i ?>"<?= $d == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_to_month" class="selectbox">
							<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i); $month = date('M', $timestamp); ?>
							<option value="<?= $i ?>"<?= $m == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
							<? endfor; ?>
						</select>
						<span class="date-sep">/</span>
						<select name="vac_date_to_year" class="selectbox">
							<? for ( $i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++ ): ?>
							<option value="<?= $i ?>"<?= $y == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
					</div>
					
					<div class="divline" style="width: 380px">						
						<input class="" type="button" name="add-vacation" value="<?= $this->t('vacation_add') ?>" />
					</div>
					
					<div class="divline" style="width: 380px; margin-top:10px;<?= ( $this->vacation->vac_date_from ) ? '' : 'display:none' ?>" id="curr_vacation">
						<p><?= $this->profile->showname ?> is on vacation <span class="strong">from <span id="curr_date_from"><?= ($this->vacation->vac_date_from) ? date("d M Y", strtotime($this->vacation->vac_date_from)) : '' ?></span> to <span id="curr_date_to"><?= ($this->vacation->vac_date_to) ? date("d M Y", strtotime($this->vacation->vac_date_to)) : '' ?></span></span></p>
						<input class="" type="button" name="return-from-vacation" value="<?= $this->t('vacations_return') ?>" />
					</div>
				</fieldset>
			</div>
			
			<div class="clear"></div>
		</div><? /* signup-bodky */ ?>
		
		<div class="divline">
			<span class="label">&nbsp;</span>
			<input class="btn btn-submit" type="submit" value="Submit" />
			<input class="btn btn-reset" type="reset" value="Reset" />
		</div>
		
	</form>
</div></div></div>
